import { Component } from '@angular/core';
import { SuggestionService } from './suggestion.service';

@Component({
  selector: 'app-root',
  template: `
    <app-search-box (userInput)="onUserInput($event);"></app-search-box>
    <app-display [suggestions]="googleResponse"></app-display>
  `,
  styles: []
})
export class AppComponent {
  title = 'google-suggest';
  googleResponse: string[] = [];
  
  constructor(private suggestionService: SuggestionService)
  {
  }
  
  async onUserInput(query)
  {
    this.googleResponse = await this.suggestionService.getSuggestions(query);
  }
}
