import { Output, EventEmitter, Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-search-box',
  template: `
<form action="http://www.google.com/search">
  <input type="text" name="q" (input)="handleInput($event);">
  <input type="submit" (click)="handleSubmit($event);">
</form>
  `,
  styles: [
  ]
})
export class SearchBoxComponent implements OnInit {

  query = "";
  @Output() userInput = new EventEmitter<string>();
  @Output() submit = new EventEmitter<Event>();
  constructor() { }

  ngOnInit(): void {
  }
  
  handleInput(event)
  {
      this.query = event.target.value;
      if (this.noUSC(this.query)) {
          this.userInput.emit(this.query);
      } else {
          alert("No USC query please!");
      }
  }
  
  handleSubmit(event)
  {
     if (this.noUSC(this.query)) {
        this.submit.emit(event);
     } else {
       alert("No USC query please!");
       event.preventDefault();
     }
  }

  noUSC(query) { 
    let regexUSC = /(^| )USC($| )/i;
    return !regexUSC.test(query);
  }
}
